Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.jmx.adaptor.server
Class Adaptor

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.net.jmx.adaptor.server.Adaptor

All Implemented Interfaces:
  AdaptorMBean, Constants, Constants, javax.management.MBeanRegistration, javax.management.MBeanServer, javax.management.MBeanServerConnection, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class Adaptor
extends org.jboss.system.ServiceMBeanSupport
implements AdaptorMBean, Constants

wrapper around the mbean server that may be exposed as a soap-enabled mbean to the outside world.

Version:
  $Revision: 1.17 $
Author:
  Christoph G. Jung, Adrian Brock

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Fields inherited from interface org.jboss.net.jmx.adaptor.server.Constants
`DEFAULT_AXIS_SERVICE_NAME, DOMAIN, JMX_INSTALL_DESCRIPTOR, NAME, TYPE`

Fields inherited from interface org.jboss.net.Constants
`CREATE_METHOD_NAME, DEPLOYMENT_INFO_CLASS_NAME, DESTROY_METHOD_NAME, INIT_METHOD_NAME, START_METHOD_NAME, STOP_METHOD_NAME, STRING_CLASS_NAME`

Constructor Summary
`Adaptor()`

Method Summary
`void` | `addNotificationListener(javax.management.ObjectName objectName, javax.management.NotificationListener notificationListener, javax.management.NotificationFilter notificationFilter, Object obj)`
`void` | `addNotificationListener(javax.management.ObjectName objectName, javax.management.ObjectName objectName1, javax.management.NotificationFilter notificationFilter, Object obj)`
`javax.management.ObjectInstance` | `createMBean(String str, javax.management.ObjectName objectName)`
`javax.management.ObjectInstance` | `createMBean(String str, javax.management.ObjectName objectName, Object[] obj, String[] str3)`
`javax.management.ObjectInstance` | `createMBean(String str, javax.management.ObjectName objectName, javax.management.ObjectName objectName2)`
`javax.management.ObjectInstance` | `createMBean(String str, javax.management.ObjectName objectName, javax.management.ObjectName objectName2, Object[] obj, String[] str4)`
`ObjectInputStream` | `deserialize(javax.management.ObjectName objectName, byte[] values)`
`ObjectInputStream` | `deserialize(String str, byte[] values)`
`ObjectInputStream` | `deserialize(String str, javax.management.ObjectName objectName, byte[] values)`
`Object` | `getAttribute(javax.management.ObjectName objectName, String str)`
`javax.management.AttributeList` | `getAttributes(javax.management.ObjectName objectName, String[] str)`
`ClassLoader` | `getClassLoader(javax.management.ObjectName objectName)`
`ClassLoader` | `getClassLoaderFor(javax.management.ObjectName objectName)`
`javax.management.loading.ClassLoaderRepository` | `getClassLoaderRepository()`
`String` | `getDefaultDomain()`
`String[]` | `getDomains()`
`Integer` | `getMBeanCount()`
`javax.management.MBeanInfo` | `getMBeanInfo(javax.management.ObjectName objectName)`
`javax.management.ObjectInstance` | `getObjectInstance(javax.management.ObjectName objectName)`
`Object` | `instantiate(String str)`
`Object` | `instantiate(String str, Object[] obj, String[] str2)`
`Object` | `instantiate(String str, javax.management.ObjectName objectName)`
`Object` | `instantiate(String str, javax.management.ObjectName objectName, Object[] obj, String[] str3)`
`Object` | `invoke(javax.management.ObjectName objectName, String str, Object[] obj, String[] str3)`
`boolean` | `isInstanceOf(javax.management.ObjectName objectName, String str)`
`boolean` | `isRegistered(javax.management.ObjectName objectName)`
`Set` | `queryMBeans(javax.management.ObjectName objectName, javax.management.QueryExp queryExp)`
`Set` | `queryNames(javax.management.ObjectName objectName, javax.management.QueryExp queryExp)`
`javax.management.ObjectInstance` | `registerMBean(Object obj, javax.management.ObjectName objectName)`
`void` | `removeNotificationListener(javax.management.ObjectName objectName, javax.management.NotificationListener notificationListener)`
`void` | `removeNotificationListener(javax.management.ObjectName objectName, javax.management.NotificationListener notificationListener, javax.management.NotificationFilter filter, Object handback)`
`void` | `removeNotificationListener(javax.management.ObjectName objectName, javax.management.ObjectName objectName1)`
`void` | `removeNotificationListener(javax.management.ObjectName objectName, javax.management.ObjectName notificationListener, javax.management.NotificationFilter filter, Object handback)`
`void` | `setAttribute(javax.management.ObjectName objectName, javax.management.Attribute attribute)`
`javax.management.AttributeList` | `setAttributes(javax.management.ObjectName objectName, javax.management.AttributeList attributeList)`
`void` | `startService()`
`void` | `stopService()`
`void` | `unregisterMBean(javax.management.ObjectName objectName)`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### Adaptor

    public Adaptor()

Method Detail

### startService

    public void startService()
                      throws Exception

  Throws:
    `Exception`

### stopService

    public void stopService()

### instantiate

    public Object instantiate(String str,
                              javax.management.ObjectName objectName)
                       throws javax.management.ReflectionException,
                              javax.management.MBeanException,
                              javax.management.InstanceNotFoundException

  Specified by:
    `instantiate` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.ReflectionException`
    `javax.management.MBeanException`
    `javax.management.InstanceNotFoundException`

### isInstanceOf

    public boolean isInstanceOf(javax.management.ObjectName objectName,
                                String str)
                         throws javax.management.InstanceNotFoundException

  Specified by:
    `isInstanceOf` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`

### registerMBean

    public javax.management.ObjectInstance registerMBean(Object obj,
                                                         javax.management.ObjectName objectName)
                                                  throws javax.management.InstanceAlreadyExistsException,
                                                         javax.management.MBeanRegistrationException,
                                                         javax.management.NotCompliantMBeanException

  Specified by:
    `registerMBean` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceAlreadyExistsException`
    `javax.management.MBeanRegistrationException`
    `javax.management.NotCompliantMBeanException`

### getDefaultDomain

    public String getDefaultDomain()

  Specified by:
    `getDefaultDomain` in interface `javax.management.MBeanServer`

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo(javax.management.ObjectName objectName)
                                            throws javax.management.InstanceNotFoundException,
                                                   javax.management.IntrospectionException,
                                                   javax.management.ReflectionException

  Specified by:
    `getMBeanInfo` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.IntrospectionException`
    `javax.management.ReflectionException`

### getObjectInstance

    public javax.management.ObjectInstance getObjectInstance(javax.management.ObjectName objectName)
                                                      throws javax.management.InstanceNotFoundException

  Specified by:
    `getObjectInstance` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`

### instantiate

    public Object instantiate(String str)
                       throws javax.management.ReflectionException,
                              javax.management.MBeanException

  Specified by:
    `instantiate` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.ReflectionException`
    `javax.management.MBeanException`

### isRegistered

    public boolean isRegistered(javax.management.ObjectName objectName)

  Specified by:
    `isRegistered` in interface `javax.management.MBeanServer`

### addNotificationListener

    public void addNotificationListener(javax.management.ObjectName objectName,
                                        javax.management.NotificationListener notificationListener,
                                        javax.management.NotificationFilter notificationFilter,
                                        Object obj)
                                 throws javax.management.InstanceNotFoundException

  Specified by:
    `addNotificationListener` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`

### addNotificationListener

    public void addNotificationListener(javax.management.ObjectName objectName,
                                        javax.management.ObjectName objectName1,
                                        javax.management.NotificationFilter notificationFilter,
                                        Object obj)
                                 throws javax.management.InstanceNotFoundException

  Specified by:
    `addNotificationListener` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`

### createMBean

    public javax.management.ObjectInstance createMBean(String str,
                                                       javax.management.ObjectName objectName)
                                                throws javax.management.ReflectionException,
                                                       javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.MBeanException,
                                                       javax.management.NotCompliantMBeanException

  Specified by:
    `createMBean` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.ReflectionException`
    `javax.management.InstanceAlreadyExistsException`
    `javax.management.MBeanRegistrationException`
    `javax.management.MBeanException`
    `javax.management.NotCompliantMBeanException`

### createMBean

    public javax.management.ObjectInstance createMBean(String str,
                                                       javax.management.ObjectName objectName,
                                                       javax.management.ObjectName objectName2)
                                                throws javax.management.ReflectionException,
                                                       javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.MBeanException,
                                                       javax.management.NotCompliantMBeanException,
                                                       javax.management.InstanceNotFoundException

  Specified by:
    `createMBean` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.ReflectionException`
    `javax.management.InstanceAlreadyExistsException`
    `javax.management.MBeanRegistrationException`
    `javax.management.MBeanException`
    `javax.management.NotCompliantMBeanException`
    `javax.management.InstanceNotFoundException`

### getAttribute

    public Object getAttribute(javax.management.ObjectName objectName,
                               String str)
                        throws javax.management.MBeanException,
                               javax.management.AttributeNotFoundException,
                               javax.management.InstanceNotFoundException,
                               javax.management.ReflectionException

  Specified by:
    `getAttribute` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.MBeanException`
    `javax.management.AttributeNotFoundException`
    `javax.management.InstanceNotFoundException`
    `javax.management.ReflectionException`

### createMBean

    public javax.management.ObjectInstance createMBean(String str,
                                                       javax.management.ObjectName objectName,
                                                       javax.management.ObjectName objectName2,
                                                       Object[] obj,
                                                       String[] str4)
                                                throws javax.management.ReflectionException,
                                                       javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.MBeanException,
                                                       javax.management.NotCompliantMBeanException,
                                                       javax.management.InstanceNotFoundException

  Specified by:
    `createMBean` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.ReflectionException`
    `javax.management.InstanceAlreadyExistsException`
    `javax.management.MBeanRegistrationException`
    `javax.management.MBeanException`
    `javax.management.NotCompliantMBeanException`
    `javax.management.InstanceNotFoundException`

### createMBean

    public javax.management.ObjectInstance createMBean(String str,
                                                       javax.management.ObjectName objectName,
                                                       Object[] obj,
                                                       String[] str3)
                                                throws javax.management.ReflectionException,
                                                       javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.MBeanException,
                                                       javax.management.NotCompliantMBeanException

  Specified by:
    `createMBean` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.ReflectionException`
    `javax.management.InstanceAlreadyExistsException`
    `javax.management.MBeanRegistrationException`
    `javax.management.MBeanException`
    `javax.management.NotCompliantMBeanException`

### setAttribute

    public void setAttribute(javax.management.ObjectName objectName,
                             javax.management.Attribute attribute)
                      throws javax.management.InstanceNotFoundException,
                             javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException

  Specified by:
    `setAttribute` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.AttributeNotFoundException`
    `javax.management.InvalidAttributeValueException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### instantiate

    public Object instantiate(String str,
                              Object[] obj,
                              String[] str2)
                       throws javax.management.ReflectionException,
                              javax.management.MBeanException

  Specified by:
    `instantiate` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.ReflectionException`
    `javax.management.MBeanException`

### instantiate

    public Object instantiate(String str,
                              javax.management.ObjectName objectName,
                              Object[] obj,
                              String[] str3)
                       throws javax.management.ReflectionException,
                              javax.management.MBeanException,
                              javax.management.InstanceNotFoundException

  Specified by:
    `instantiate` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.ReflectionException`
    `javax.management.MBeanException`
    `javax.management.InstanceNotFoundException`

### deserialize

    public ObjectInputStream deserialize(String str,
                                         javax.management.ObjectName objectName,
                                         byte[] values)
                                  throws javax.management.InstanceNotFoundException,
                                         javax.management.OperationsException,
                                         javax.management.ReflectionException

  Specified by:
    `deserialize` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.OperationsException`
    `javax.management.ReflectionException`

### deserialize

    public ObjectInputStream deserialize(String str,
                                         byte[] values)
                                  throws javax.management.OperationsException,
                                         javax.management.ReflectionException

  Specified by:
    `deserialize` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.OperationsException`
    `javax.management.ReflectionException`

### queryMBeans

    public Set queryMBeans(javax.management.ObjectName objectName,
                           javax.management.QueryExp queryExp)

  Specified by:
    `queryMBeans` in interface `javax.management.MBeanServer`

### setAttributes

    public javax.management.AttributeList setAttributes(javax.management.ObjectName objectName,
                                                        javax.management.AttributeList attributeList)
                                                 throws javax.management.InstanceNotFoundException,
                                                        javax.management.ReflectionException

  Specified by:
    `setAttributes` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ReflectionException`

### getMBeanCount

    public Integer getMBeanCount()

  Specified by:
    `getMBeanCount` in interface `javax.management.MBeanServer`

### invoke

    public Object invoke(javax.management.ObjectName objectName,
                         String str,
                         Object[] obj,
                         String[] str3)
                  throws javax.management.InstanceNotFoundException,
                         javax.management.MBeanException,
                         javax.management.ReflectionException

  Specified by:
    `invoke` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### deserialize

    public ObjectInputStream deserialize(javax.management.ObjectName objectName,
                                         byte[] values)
                                  throws javax.management.InstanceNotFoundException,
                                         javax.management.OperationsException

  Specified by:
    `deserialize` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.OperationsException`

### getAttributes

    public javax.management.AttributeList getAttributes(javax.management.ObjectName objectName,
                                                        String[] str)
                                                 throws javax.management.InstanceNotFoundException,
                                                        javax.management.ReflectionException

  Specified by:
    `getAttributes` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ReflectionException`

### queryNames

    public Set queryNames(javax.management.ObjectName objectName,
                          javax.management.QueryExp queryExp)

  Specified by:
    `queryNames` in interface `javax.management.MBeanServer`

### unregisterMBean

    public void unregisterMBean(javax.management.ObjectName objectName)
                         throws javax.management.InstanceNotFoundException,
                                javax.management.MBeanRegistrationException

  Specified by:
    `unregisterMBean` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanRegistrationException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName objectName,
                                           javax.management.ObjectName objectName1)
                                    throws javax.management.InstanceNotFoundException,
                                           javax.management.ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ListenerNotFoundException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName objectName,
                                           javax.management.NotificationListener notificationListener)
                                    throws javax.management.InstanceNotFoundException,
                                           javax.management.ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ListenerNotFoundException`

### getClassLoaderRepository

    public javax.management.loading.ClassLoaderRepository getClassLoaderRepository()

  Specified by:
    `getClassLoaderRepository` in interface `javax.management.MBeanServer`

### getClassLoader

    public ClassLoader getClassLoader(javax.management.ObjectName objectName)
                               throws javax.management.InstanceNotFoundException

  Specified by:
    `getClassLoader` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`

### getClassLoaderFor

    public ClassLoader getClassLoaderFor(javax.management.ObjectName objectName)
                                  throws javax.management.InstanceNotFoundException

  Specified by:
    `getClassLoaderFor` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName objectName,
                                           javax.management.ObjectName notificationListener,
                                           javax.management.NotificationFilter filter,
                                           Object handback)
                                    throws javax.management.InstanceNotFoundException,
                                           javax.management.ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ListenerNotFoundException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName objectName,
                                           javax.management.NotificationListener notificationListener,
                                           javax.management.NotificationFilter filter,
                                           Object handback)
                                    throws javax.management.InstanceNotFoundException,
                                           javax.management.ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `javax.management.MBeanServer`
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ListenerNotFoundException`

### getDomains

    public String[] getDomains()

  Specified by:
    `getDomains` in interface `javax.management.MBeanServer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.